/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.person

// imports
import {IQuantitativeValue} from './org.accordproject.value';
import {IPostalAddress} from './org.accordproject.address';
import {IOrganization} from './org.accordproject.organization';
import {IPlace,ICountry} from './org.accordproject.geo';
import {IMonetaryAmount} from './org.accordproject.money';
import {IProduct} from './org.accordproject.product';
import {IParticipant} from './concerto';

// interfaces
export enum Gender {
   MALE = 'MALE',
   FEMALE = 'FEMALE',
   OTHER = 'OTHER',
   UNKNOWN = 'UNKNOWN',
}

export interface IPerson extends IParticipant {
   identifier: string;
   additionalName?: string;
   address?: IPostalAddress;
   affiliation?: IOrganization;
   alumniOf?: IOrganization;
   award?: string;
   birthDate?: Date;
   deathDate?: Date;
   birthPlace?: IPlace;
   children?: IPerson[];
   colleagues?: IPerson[];
   email?: string;
   familyName?: string;
   faxNumber?: string;
   follows?: IPerson[];
   funder?: IOrganization;
   gender?: Gender;
   givenName?: string;
   globalLocationNumber?: string;
   height?: IQuantitativeValue;
   homeLocation?: IPostalAddress;
   honorificPrefix?: string;
   honorificSuffix?: string;
   isicsV4?: string;
   jobTitle?: string;
   knows?: IPerson[];
   memberOf?: IOrganization;
   naics?: string;
   nationality?: ICountry;
   netWorth?: IMonetaryAmount;
   owns?: IProduct;
   parent?: IPerson;
   relatedTo?: IPerson;
   sibling?: IPerson[];
   sponsor?: IOrganization;
   spouse?: IPerson;
   taxId?: string;
   telephone?: string;
   vatId?: string;
   weight?: IQuantitativeValue;
   worksFor?: IOrganization;
}

